Incan 0.6 roadmap¶
0.6 is the architectural cutover that makes compiler-owned facts and the Oven project model the normal authority for compilation, packages, build artifacts, and inspection. Generated Rust remains available for inspection and debugging; it is no longer the semantic handoff the release is working toward.
This page is the public delivery map for that work. It complements the development release note: the release note explains the contract, while this page shows how the work is organized and what each slice must prove.
How to read this map. The rows are the recommended delivery sequence, not a claim that all work is serial. Select a row to expand that slice’s issue graph directly beneath it. A solid line is GitHub’s native parent/sub-issue relationship. A dashed line is a GitHub
blocked byprerequisite. Every issue node opens the corresponding GitHub issue.
The release plan¶
GitHub snapshot: 2026-10-04. In this map, complete means the GitHub issue is closed; open means it remains unfinished. Complete issue nodes are green; open nodes retain the gold outline.
| Slice | Focus | Proof before moving on |
|---|---|---|
28 complete0 open |
Cutover facts, Body IR, and parity. | Selected and executed routes are receipted; unavailable comparisons stay non-green. |
17 complete0 open |
Direct execution of a bounded Body-IR program. | Source spans, semantic facts, and paired receipts survive execution. |
8 complete0 open |
Embedded fragments, capabilities, and package vocabulary. | Accepted constructs have parity, diagnostics, inspection, and migration evidence. |
30 complete0 open |
Loaf authority, direct-rustc planning, and bounded Rust facets. | Incan-only, Rust-only, and mixed Loaves bake without Cargo being authoritative. |
6 complete0 open |
Kernel, compiler, Oven, stdlib and toolchain rings with an Incan-free Oven ring. | The Oven ring depends on no Incan ring, incan-lsp builds without the CLI, and every ring carries its own version line. |
101 complete0 open |
Manifest-declared package needs; no build-script execution. | Every dependency in the corpus bakes from its manifest alone, byte-equivalent to its Cargo build. |
9 complete17 open |
Incan as a second front end to the pinned rustc at HIR, driven by Oven. | Every parity corpus case is green on the native lane against the emitted-Rust route, or explicitly migrated. |
1 complete19 open |
Shared Oven planning for build and bake. | One plan and receipt model; neither CLI gains a competing planner. |
1 complete12 open |
Shared compiler, package, artifact, and Rust/Oven inspection facts. | CLI, LSP, Architect, MCP, and Rust inspection agree on identity and provenance. |
11 complete11 open |
A Windows host that builds, bakes, and ships like the others. | A packaged Windows toolchain builds and runs a project, not merely a bake that exits zero. |
3 complete11 open |
Corpus-led compatibility reporting and normal-path removal. | The complete matrix is green or explicitly migrated before generated Rust loses authority. |
10 complete25 open |
Incan-authored Oven components and the RFC 104 authority model. | Components migrate only behind a bridge that exists, and declared authority matches observed receipts. |
1. Cutover foundation
Exit evidence: backend selection and execution are explicit; parity records have stable IDs; unavailable or skipped comparisons remain non-green.
flowchart LR
i653["#653<br/>Body IR v0 and backend-owned lowering"]
i986["#986<br/>backend-selection receipt, explicit dis…"]
i987["#987<br/>executable backend parity corpus and di…"]
i1101["#1101<br/>complete Body IR v0 source representati…"]
i1102["#1102<br/>Body IR v0 method and self-binding supp…"]
i1103["#1103<br/>Body IR v0 core data model and lowering"]
i1121["#1121<br/>preserve resolved method parameter type…"]
i1123["#1123<br/>preserve generator-expression laziness …"]
i1124["#1124<br/>lower callable values and residual part…"]
i1125["#1125<br/>lower destructuring for-loop patterns i…"]
s1137["Slice 1<br/>#1137"]
i1146["#1146<br/>source-observable shadow comparison for…"]
i1153["#1153<br/>register replacement compatibility feat…"]
i1156["#1156<br/>execute one checked provider-service op…"]
i1158["#1158<br/>represent named, defaulted, and explici…"]
i1159["#1159<br/>represent spread arguments and spread a…"]
i1160["#1160<br/>complete Body IR operator vocabulary fo…"]
i1161["#1161<br/>lower pattern conditions and destructur…"]
i1162["#1162<br/>lower statement-position loop and name …"]
i1163["#1163<br/>lower newtype and enum method bodies in…"]
i1164["#1164<br/>represent await and race for in Body IR"]
i1165["#1165<br/>represent bytes literals and range valu…"]
i1166["#1166<br/>state and enforce the Body IR input con…"]
i1167["#1167<br/>represent pattern and raises assert for…"]
i1172["#1172<br/>retain evaluable callable defaults in B…"]
i1213["#1213<br/>lower resolved provider operations to c…"]
i1246["#1246<br/>lower collection membership and list co…"]
i1251["#1251<br/>carry binding-equivalence facts so reas…"]
s1137 -- owns --> i653
s1137 -- owns --> i986
s1137 -- owns --> i987
i653 -- owns --> i1101
i653 -- owns --> i1102
i653 -- owns --> i1103
i653 -- owns --> i1121
i1101 -- owns --> i1123
i1101 -- owns --> i1124
i1101 -- owns --> i1125
i986 -- owns --> i1146
s1137 -- owns --> i1153
s1137 -- owns --> i1156
i1101 -- owns --> i1158
i1101 -- owns --> i1159
i1101 -- owns --> i1160
i1101 -- owns --> i1161
i1101 -- owns --> i1162
i1101 -- owns --> i1163
i1101 -- owns --> i1164
i1101 -- owns --> i1165
i1101 -- owns --> i1166
i1101 -- owns --> i1167
i1101 -- owns --> i1172
s1137 -- owns --> i1213
i1101 -- owns --> i1246
i1101 -- owns --> i1251
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i653,i986,i987,i1101,i1102,i1103,i1121,i1123,i1124,i1125,s1137,i1146,i1153,i1156,i1158,i1159,i1160,i1161,i1162,i1163,i1164,i1165,i1166,i1167,i1172,i1213,i1246,i1251 incv06complete
click i653 href "https://github.com/encero-systems/incan/issues/653" "Open #653 on GitHub"
click i986 href "https://github.com/encero-systems/incan/issues/986" "Open #986 on GitHub"
click i987 href "https://github.com/encero-systems/incan/issues/987" "Open #987 on GitHub"
click i1101 href "https://github.com/encero-systems/incan/issues/1101" "Open #1101 on GitHub"
click i1102 href "https://github.com/encero-systems/incan/issues/1102" "Open #1102 on GitHub"
click i1103 href "https://github.com/encero-systems/incan/issues/1103" "Open #1103 on GitHub"
click i1121 href "https://github.com/encero-systems/incan/issues/1121" "Open #1121 on GitHub"
click i1123 href "https://github.com/encero-systems/incan/issues/1123" "Open #1123 on GitHub"
click i1124 href "https://github.com/encero-systems/incan/issues/1124" "Open #1124 on GitHub"
click i1125 href "https://github.com/encero-systems/incan/issues/1125" "Open #1125 on GitHub"
click s1137 href "https://github.com/encero-systems/incan/issues/1137" "Open #1137 on GitHub"
click i1146 href "https://github.com/encero-systems/incan/issues/1146" "Open #1146 on GitHub"
click i1153 href "https://github.com/encero-systems/incan/issues/1153" "Open #1153 on GitHub"
click i1156 href "https://github.com/encero-systems/incan/issues/1156" "Open #1156 on GitHub"
click i1158 href "https://github.com/encero-systems/incan/issues/1158" "Open #1158 on GitHub"
click i1159 href "https://github.com/encero-systems/incan/issues/1159" "Open #1159 on GitHub"
click i1160 href "https://github.com/encero-systems/incan/issues/1160" "Open #1160 on GitHub"
click i1161 href "https://github.com/encero-systems/incan/issues/1161" "Open #1161 on GitHub"
click i1162 href "https://github.com/encero-systems/incan/issues/1162" "Open #1162 on GitHub"
click i1163 href "https://github.com/encero-systems/incan/issues/1163" "Open #1163 on GitHub"
click i1164 href "https://github.com/encero-systems/incan/issues/1164" "Open #1164 on GitHub"
click i1165 href "https://github.com/encero-systems/incan/issues/1165" "Open #1165 on GitHub"
click i1166 href "https://github.com/encero-systems/incan/issues/1166" "Open #1166 on GitHub"
click i1167 href "https://github.com/encero-systems/incan/issues/1167" "Open #1167 on GitHub"
click i1172 href "https://github.com/encero-systems/incan/issues/1172" "Open #1172 on GitHub"
click i1213 href "https://github.com/encero-systems/incan/issues/1213" "Open #1213 on GitHub"
click i1246 href "https://github.com/encero-systems/incan/issues/1246" "Open #1246 on GitHub"
click i1251 href "https://github.com/encero-systems/incan/issues/1251" "Open #1251 on GitHub"
Open Slice 1 in GitHub
2. First executable proof
Exit evidence: a bounded Body-IR program executes through the replacement route with source spans, ownership/runtime facts, and paired receipts.
flowchart LR
i988["#988<br/>replacement-backend core-body execution…"]
i989["#989<br/>package, import, and Rust-interop parit…"]
s1138["Slice 2<br/>#1138"]
i1152["#1152<br/>execute callable and lazy-generator pro…"]
i1247["#1247<br/>give the replacement executor set and d…"]
i1249["#1249<br/>decide and represent how the replacemen…"]
i1250["#1250<br/>construct models and dispatch methods i…"]
i1254["#1254<br/>execute replacement profiles from one C…"]
i1255["#1255<br/>execute construction of source-local pl…"]
i1256["#1256<br/>dispatch source-local helper methods by…"]
i1260["#1260<br/>execute package and local-module import…"]
i1261["#1261<br/>verify facade identity and checked publ…"]
i1262["#1262<br/>prove Rust-interop call and diagnostic …"]
i1278["#1278<br/>bug - numeric string conversions reject…"]
i1279["#1279<br/>preserve typed numerics in replacement …"]
i1280["#1280<br/>bug - Generic callers omit implementati…"]
i1281["#1281<br/>Retain isinstance target types for repl…"]
s1138 -- owns --> i988
s1138 -- owns --> i989
i988 -- owns --> i1152
i988 -- owns --> i1247
i988 -- owns --> i1249
i988 -- owns --> i1250
s1138 -- owns --> i1254
i1250 -- owns --> i1255
i1250 -- owns --> i1256
i989 -- owns --> i1260
i989 -- owns --> i1261
i989 -- owns --> i1262
i1249 -- owns --> i1278
i1249 -- owns --> i1279
i1249 -- owns --> i1280
i1249 -- owns --> i1281
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i988,i989,s1138,i1152,i1247,i1249,i1250,i1254,i1255,i1256,i1260,i1261,i1262,i1278,i1279,i1280,i1281 incv06complete
click i988 href "https://github.com/encero-systems/incan/issues/988" "Open #988 on GitHub"
click i989 href "https://github.com/encero-systems/incan/issues/989" "Open #989 on GitHub"
click s1138 href "https://github.com/encero-systems/incan/issues/1138" "Open #1138 on GitHub"
click i1152 href "https://github.com/encero-systems/incan/issues/1152" "Open #1152 on GitHub"
click i1247 href "https://github.com/encero-systems/incan/issues/1247" "Open #1247 on GitHub"
click i1249 href "https://github.com/encero-systems/incan/issues/1249" "Open #1249 on GitHub"
click i1250 href "https://github.com/encero-systems/incan/issues/1250" "Open #1250 on GitHub"
click i1254 href "https://github.com/encero-systems/incan/issues/1254" "Open #1254 on GitHub"
click i1255 href "https://github.com/encero-systems/incan/issues/1255" "Open #1255 on GitHub"
click i1256 href "https://github.com/encero-systems/incan/issues/1256" "Open #1256 on GitHub"
click i1260 href "https://github.com/encero-systems/incan/issues/1260" "Open #1260 on GitHub"
click i1261 href "https://github.com/encero-systems/incan/issues/1261" "Open #1261 on GitHub"
click i1262 href "https://github.com/encero-systems/incan/issues/1262" "Open #1262 on GitHub"
click i1278 href "https://github.com/encero-systems/incan/issues/1278" "Open #1278 on GitHub"
click i1279 href "https://github.com/encero-systems/incan/issues/1279" "Open #1279 on GitHub"
click i1280 href "https://github.com/encero-systems/incan/issues/1280" "Open #1280 on GitHub"
click i1281 href "https://github.com/encero-systems/incan/issues/1281" "Open #1281 on GitHub"
Open Slice 2 in GitHub
3. Language and runtime matrix
Exit evidence: every accepted construct has parity coverage, diagnostics, inspection output, formatter/LSP proof where relevant, and an explicit migration disposition.
flowchart LR
i555["#555<br/>RFC 081 - full language-shaped DSL embe…"]
i1020["#1020<br/>RFC 081 resolve design decisions and em…"]
i1022["#1022<br/>RFC 081 formatting, LSP, and full embed…"]
i1023["#1023<br/>RFC 081 descriptor-gated lexical submod…"]
i1038["#1038<br/>RFC 081 formatting, LSP, and full embed…"]
i1075["#1075<br/>add keyed MAC (HMAC) primitives to std.…"]
s1140["Slice 3<br/>#1140"]
i1252["#1252<br/>example corpus covers a third of the do…"]
s1140 -- owns --> i555
i555 -- owns --> i1020
i555 -- owns --> i1022
i555 -- owns --> i1023
s1140 -- owns --> i1038
s1140 -- owns --> i1075
s1140 -- owns --> i1252
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i555,i1020,i1022,i1023,i1038,i1075,s1140,i1252 incv06complete
click i555 href "https://github.com/encero-systems/incan/issues/555" "Open #555 on GitHub"
click i1020 href "https://github.com/encero-systems/incan/issues/1020" "Open #1020 on GitHub"
click i1022 href "https://github.com/encero-systems/incan/issues/1022" "Open #1022 on GitHub"
click i1023 href "https://github.com/encero-systems/incan/issues/1023" "Open #1023 on GitHub"
click i1038 href "https://github.com/encero-systems/incan/issues/1038" "Open #1038 on GitHub"
click i1075 href "https://github.com/encero-systems/incan/issues/1075" "Open #1075 on GitHub"
click s1140 href "https://github.com/encero-systems/incan/issues/1140" "Open #1140 on GitHub"
click i1252 href "https://github.com/encero-systems/incan/issues/1252" "Open #1252 on GitHub"
Open Slice 3 in GitHub
4. Oven authority and native Rust
Exit evidence: Rust-only, Incan-only, and mixed Loaves bake without Cargo being the project authority; Cargo remains valid as explicit compatibility/adoption mode.
flowchart LR
i1063["#1063<br/>RFC 117: loaf.toml and Oven language-ne…"]
i1065["#1065<br/>Reduce oven-linux-replay CI wall-clock:…"]
i1068["#1068<br/>diagnose declared script paths that col…"]
i1111["#1111<br/>investigate the warm rebuild floor: a n…"]
s1141["Slice 4<br/>#1141"]
i1147["#1147<br/>bug - Oven does not select a freshly ba…"]
i1149["#1149<br/>bug - regenerate tracked example locks …"]
i1225["#1225<br/>a full-stdlib Loaf miss reports as an u…"]
i1230["#1230<br/>reclaim inactive store entries at reser…"]
i1298["#1298<br/>move compiler-owned export logic out of…"]
i1299["#1299<br/>split the Oven module cluster along its…"]
i1339["#1339<br/>RFC 123 package executable representation"]
i1414["#1414<br/>bug - a provider with a feature-selecti…"]
i1422["#1422<br/>report suite progress and per-case dura…"]
i1424["#1424<br/>CI cost: two C ABI gates rebuild the co…"]
i1433["#1433<br/>bug - SDK producer borrows owned generi…"]
i1439["#1439<br/>bug - Warm library output selection mix…"]
i1444["#1444<br/>bug - Explicit project bake cannot refr…"]
i1458["#1458<br/>bug - published native package reads mu…"]
i1459["#1459<br/>bug - native package diamond repeats pa…"]
i1463["#1463<br/>bug - native output reuse accepts chang…"]
i1467["#1467<br/>bug - preserve derive dependencies when…"]
i1469["#1469<br/>bug - Native package consumption still …"]
i1495["#1495<br/>SDK provider preparation rebuilds all t…"]
i1546["#1546<br/>the baker rediscovers Incan's own compi…"]
i1549["#1549<br/>the replay lane's floor is one indivisi…"]
i1550["#1550<br/>the #1458 packaged-store regression no …"]
i1556["#1556<br/>the consumer half of the provider plan …"]
i1558["#1558<br/>a library bake that compiles nothing re…"]
i1559["#1559<br/>bug - a source-search role cannot isola…"]
s1141 -- owns --> i1063
s1141 -- owns --> i1065
s1141 -- owns --> i1068
s1141 -- owns --> i1111
s1141 -- owns --> i1147
s1141 -- owns --> i1149
s1141 -- owns --> i1225
s1141 -- owns --> i1230
s1141 -- owns --> i1298
s1141 -- owns --> i1299
s1141 -- owns --> i1339
s1141 -- owns --> i1414
s1141 -- owns --> i1422
s1141 -- owns --> i1424
s1141 -- owns --> i1433
s1141 -- owns --> i1439
s1141 -- owns --> i1444
s1141 -- owns --> i1458
s1141 -- owns --> i1459
s1141 -- owns --> i1463
s1141 -- owns --> i1467
s1141 -- owns --> i1469
s1141 -- owns --> i1495
s1141 -- owns --> i1546
s1141 -- owns --> i1549
s1141 -- owns --> i1550
i1546 -- owns --> i1556
s1141 -- owns --> i1558
s1141 -- owns --> i1559
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i1063,i1065,i1068,i1111,s1141,i1147,i1149,i1225,i1230,i1298,i1299,i1339,i1414,i1422,i1424,i1433,i1439,i1444,i1458,i1459,i1463,i1467,i1469,i1495,i1546,i1549,i1550,i1556,i1558,i1559 incv06complete
click i1063 href "https://github.com/encero-systems/incan/issues/1063" "Open #1063 on GitHub"
click i1065 href "https://github.com/encero-systems/incan/issues/1065" "Open #1065 on GitHub"
click i1068 href "https://github.com/encero-systems/incan/issues/1068" "Open #1068 on GitHub"
click i1111 href "https://github.com/encero-systems/incan/issues/1111" "Open #1111 on GitHub"
click s1141 href "https://github.com/encero-systems/incan/issues/1141" "Open #1141 on GitHub"
click i1147 href "https://github.com/encero-systems/incan/issues/1147" "Open #1147 on GitHub"
click i1149 href "https://github.com/encero-systems/incan/issues/1149" "Open #1149 on GitHub"
click i1225 href "https://github.com/encero-systems/incan/issues/1225" "Open #1225 on GitHub"
click i1230 href "https://github.com/encero-systems/incan/issues/1230" "Open #1230 on GitHub"
click i1298 href "https://github.com/encero-systems/incan/issues/1298" "Open #1298 on GitHub"
click i1299 href "https://github.com/encero-systems/incan/issues/1299" "Open #1299 on GitHub"
click i1339 href "https://github.com/encero-systems/incan/issues/1339" "Open #1339 on GitHub"
click i1414 href "https://github.com/encero-systems/incan/issues/1414" "Open #1414 on GitHub"
click i1422 href "https://github.com/encero-systems/incan/issues/1422" "Open #1422 on GitHub"
click i1424 href "https://github.com/encero-systems/incan/issues/1424" "Open #1424 on GitHub"
click i1433 href "https://github.com/encero-systems/incan/issues/1433" "Open #1433 on GitHub"
click i1439 href "https://github.com/encero-systems/incan/issues/1439" "Open #1439 on GitHub"
click i1444 href "https://github.com/encero-systems/incan/issues/1444" "Open #1444 on GitHub"
click i1458 href "https://github.com/encero-systems/incan/issues/1458" "Open #1458 on GitHub"
click i1459 href "https://github.com/encero-systems/incan/issues/1459" "Open #1459 on GitHub"
click i1463 href "https://github.com/encero-systems/incan/issues/1463" "Open #1463 on GitHub"
click i1467 href "https://github.com/encero-systems/incan/issues/1467" "Open #1467 on GitHub"
click i1469 href "https://github.com/encero-systems/incan/issues/1469" "Open #1469 on GitHub"
click i1495 href "https://github.com/encero-systems/incan/issues/1495" "Open #1495 on GitHub"
click i1546 href "https://github.com/encero-systems/incan/issues/1546" "Open #1546 on GitHub"
click i1549 href "https://github.com/encero-systems/incan/issues/1549" "Open #1549 on GitHub"
click i1550 href "https://github.com/encero-systems/incan/issues/1550" "Open #1550 on GitHub"
click i1556 href "https://github.com/encero-systems/incan/issues/1556" "Open #1556 on GitHub"
click i1558 href "https://github.com/encero-systems/incan/issues/1558" "Open #1558 on GitHub"
click i1559 href "https://github.com/encero-systems/incan/issues/1559" "Open #1559 on GitHub"
Open Slice 4 in GitHub
5. Workspace layout rewrite, five rings under loaves/
Exit evidence: the root crate is split along the four import knots into ring crates under loaves/; the Oven ring checks in a tree with no compiler crates; paths, tests and CI follow the rings; incan_core is renamed incan_lang last.
flowchart LR
s1478["Slice 5<br/>#1478"]
i1479["#1479<br/>layout step 2: extract incan_driver and…"]
i1480["#1480<br/>layout step 3: split the root crate int…"]
i1481["#1481<br/>layout step 4: move every crate into lo…"]
i1482["#1482<br/>layout step 5: rename incan_core to inc…"]
i1594["#1594<br/>write the std.async and std.json facade…"]
s1478 -- owns --> i1479
s1478 -- owns --> i1480
s1478 -- owns --> i1481
s1478 -- owns --> i1482
i1481 -- owns --> i1594
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class s1478,i1479,i1480,i1481,i1482,i1594 incv06complete
click s1478 href "https://github.com/encero-systems/incan/issues/1478" "Open #1478 on GitHub"
click i1479 href "https://github.com/encero-systems/incan/issues/1479" "Open #1479 on GitHub"
click i1480 href "https://github.com/encero-systems/incan/issues/1480" "Open #1480 on GitHub"
click i1481 href "https://github.com/encero-systems/incan/issues/1481" "Open #1481 on GitHub"
click i1482 href "https://github.com/encero-systems/incan/issues/1482" "Open #1482 on GitHub"
click i1594 href "https://github.com/encero-systems/incan/issues/1594" "Open #1594 on GitHub"
Open Slice 5 in GitHub
6. Loaf-native ecosystem, build scripts inert
Exit evidence: a build.rs anywhere in a bake produces one warning and nothing else; every package in incan's and IncQL's resolved graphs bakes under Oven from a loaf.toml with no Cargo invocation; adoption writes those manifests from an existing Cargo build.
flowchart LR
i1241["#1241<br/>bug - Oven library consumers cannot rec…"]
i1245["#1245<br/>constructor pattern bindings lower with…"]
i1370["#1370<br/>bug - a type parameter used only in met…"]
i1372["#1372<br/>bug - integral-valued floats render wit…"]
i1373["#1373<br/>bug - generic bound and type-argument d…"]
i1374["#1374<br/>bug - Default is derivable but unusable…"]
i1375["#1375<br/>bug - a Rust trait method needing &mut …"]
i1380["#1380<br/>bug - vocabulary helper import aliases …"]
i1385["#1385<br/>bug - the StdDatetime capability form T…"]
i1427["#1427<br/>bug - source traits reject imported Rus…"]
i1429["#1429<br/>bug - enum variant name hides imported …"]
i1431["#1431<br/>bug - unrelated newtype Serialize trait…"]
i1434["#1434<br/>bug - module derive drops its required …"]
i1435["#1435<br/>bug - compiled SDK facade calls omit de…"]
i1437["#1437<br/>bug - Module-qualified error type in Re…"]
i1441["#1441<br/>bug - Preserve canonical function impor…"]
i1450["#1450<br/>bug - Missing Rust trait metadata drops…"]
i1453["#1453<br/>bug - explicitly typed decorator loses …"]
i1461["#1461<br/>bug - sorted dictionary keys emits an u…"]
i1462["#1462<br/>bug - Named constructor arguments reord…"]
i1464["#1464<br/>bug - list of dictionary keys passes ch…"]
i1476["#1476<br/>bug - Empty list equality loses operand…"]
i1483["#1483<br/>verify dependency closure after ring mi…"]
i1488["#1488<br/>bug - const list[T] annotation is accep…"]
i1489["#1489<br/>bug - returning a loop variable from a …"]
i1490["#1490<br/>bug - comprehension over a Rust interop…"]
i1492["#1492<br/>bug - a local function called inside a …"]
i1494["#1494<br/>bug - a string literal passed to a Dequ…"]
i1517["#1517<br/>five integration tests bake a cold clos…"]
i1555["#1555<br/>bug - dependency-owned union payloads l…"]
i1557["#1557<br/>bug - replacement graph refuses a check…"]
s1561["Slice 6<br/>#1561"]
i1564["#1564<br/>key the compiler-suite foundation on it…"]
i1589["#1589<br/>bug - Oven rejects a symlink-equivalent…"]
i1592["#1592<br/>bug - a span shift in derives/collectio…"]
i1628["#1628<br/>bug - restore SDK checkout caching and …"]
i1629["#1629<br/>bug - stable declaration identity colla…"]
i1633["#1633<br/>measure and bound repeated semantic pro…"]
i1697["#1697<br/>bug - narrowing a dependency-owned unio…"]
i1704["#1704<br/>bug - dev.6 heavy CI: the release-Loaf …"]
i1707["#1707<br/>bug - a str literal nested in a tuple o…"]
i1708["#1708<br/>bug - a constructor pattern naming a su…"]
i1709["#1709<br/>bug - a static and an instance method w…"]
i1710["#1710<br/>bug - a two-level pub from … import … a…"]
i1711["#1711<br/>bug - a model adopting Awaitable[...] p…"]
i1712["#1712<br/>bug - a std.serde.json trait imported u…"]
i1713["#1713<br/>bug - an explicit Registry.entry static…"]
i1714["#1714<br/>bug - a tuple pattern over a tuple[...]…"]
i1715["#1715<br/>bug - checker accepts an inferred / or …"]
i1716["#1716<br/>bug - Fn[int], FnMut[int] and FnOnce[in…"]
i1717["#1717<br/>bug - checker accepts a bare Tuple anno…"]
i1718["#1718<br/>bug - Result.inspect with a named funct…"]
i1719["#1719<br/>bug - checker accepts FrozenList([...])…"]
i1720["#1720<br/>bug - checker accepts an untyped HashMa…"]
i1721["#1721<br/>bug - checker accepts a @route handler …"]
i1722["#1722<br/>bug - checker accepts a @route handler …"]
i1723["#1723<br/>bug - checker accepts field mutation th…"]
i1724["#1724<br/>bug - a const or a Some(literal) passed…"]
i1725["#1725<br/>bug - checker accepts print(<tuple>), w…"]
i1726["#1726<br/>bug - str() over an arithmetic expressi…"]
i1727["#1727<br/>bug - FallibleIterator adapters refuse …"]
i1732["#1732<br/>bug - dev.6 heavy CI: the retained rele…"]
i1733["#1733<br/>bug - the mirrored toolchain omits the …"]
i1739["#1739<br/>bug - an or-pattern whose alternatives …"]
i1740["#1740<br/>bug - a partial constructor pattern ove…"]
i1741["#1741<br/>bug - match patterns: literal sub-patte…"]
i1743["#1743<br/>bug - Some(member) into a pub::-owned O…"]
i1744["#1744<br/>bug - set(generator) fails like #1464: …"]
i1748["#1748<br/>bug - print/println accept a list, dict…"]
i1749["#1749<br/>bug - a bare List, Dict, Set, Option or…"]
i1750["#1750<br/>bug - a facade that re-exports only an …"]
i1751["#1751<br/>bug - a pub:: package facade re-exporti…"]
i1754["#1754<br/>bug - a model or class with a non-Clone…"]
i1755["#1755<br/>bug - dev.6 heavy CI: the retained-tool…"]
i1756["#1756<br/>bug - indexing a list[K] in a generic f…"]
i1757["#1757<br/>bug - a const FrozenDict refuses indexi…"]
i1758["#1758<br/>bug - checker accepts set[Tag] over an …"]
i1759["#1759<br/>bug - an imported trait's default metho…"]
i1760["#1760<br/>bug - an imported top-level partial cal…"]
i1761["#1761<br/>bug - checker accepts FallibleIterator …"]
i1763["#1763<br/>bug - not (a == b) is emitted as !a == …"]
i1764["#1764<br/>bug - a std function bound through a mo…"]
i1765["#1765<br/>bug - a partial over a model method (sh…"]
i1766["#1766<br/>bug - a relative import from a nested m…"]
i1767["#1767<br/>bug - from std import Debug, Eq, Clone,…"]
i1768["#1768<br/>bug - the std.web snapshot program (Que…"]
i1769["#1769<br/>bug - a pub declaration spelled like th…"]
i1770["#1770<br/>bug - a user model named FieldInfo is e…"]
i1771["#1771<br/>bug - a stdlib call omitting a paramete…"]
i1772["#1772<br/>bug - the RuntimeFuture capability boun…"]
i1773["#1773<br/>bug - a trait default method's mut para…"]
i1774["#1774<br/>bug - a checked C binding program passe…"]
i1775["#1775<br/>bug - a model field named like a host k…"]
i1776["#1776<br/>bug - list.count(value) is refused by t…"]
i1777["#1777<br/>bug - an annotated local bound from a s…"]
i1778["#1778<br/>bug - f\\"{error}\\" over a model that adop…"]
i1779["#1779<br/>bug - a generic method's inferred Displ…"]
i1780["#1780<br/>bug - checker: a method returning a mod…"]
i1974["#1974<br/>bug - the offline Cargo publisher drops…"]
i1976["#1976<br/>bug - std.async Sender.reserve() does n…"]
i1979["#1979<br/>bug - re-baking an unchanged library le…"]
s1561 -- owns --> i1241
s1561 -- owns --> i1245
s1561 -- owns --> i1370
s1561 -- owns --> i1372
s1561 -- owns --> i1373
s1561 -- owns --> i1374
s1561 -- owns --> i1375
s1561 -- owns --> i1380
s1561 -- owns --> i1385
s1561 -- owns --> i1427
s1561 -- owns --> i1429
s1561 -- owns --> i1431
s1561 -- owns --> i1434
s1561 -- owns --> i1435
s1561 -- owns --> i1437
s1561 -- owns --> i1441
s1561 -- owns --> i1450
s1561 -- owns --> i1453
s1561 -- owns --> i1461
s1561 -- owns --> i1462
s1561 -- owns --> i1464
s1561 -- owns --> i1476
s1561 -- owns --> i1483
s1561 -- owns --> i1488
s1561 -- owns --> i1489
s1561 -- owns --> i1490
s1561 -- owns --> i1492
s1561 -- owns --> i1494
s1561 -- owns --> i1517
s1561 -- owns --> i1555
s1561 -- owns --> i1557
s1561 -- owns --> i1564
s1561 -- owns --> i1589
s1561 -- owns --> i1592
s1561 -- owns --> i1628
s1561 -- owns --> i1629
s1561 -- owns --> i1633
s1561 -- owns --> i1697
s1561 -- owns --> i1704
s1561 -- owns --> i1707
s1561 -- owns --> i1708
s1561 -- owns --> i1709
s1561 -- owns --> i1710
s1561 -- owns --> i1711
s1561 -- owns --> i1712
s1561 -- owns --> i1713
s1561 -- owns --> i1714
s1561 -- owns --> i1715
s1561 -- owns --> i1716
s1561 -- owns --> i1717
s1561 -- owns --> i1718
s1561 -- owns --> i1719
s1561 -- owns --> i1720
s1561 -- owns --> i1721
s1561 -- owns --> i1722
s1561 -- owns --> i1723
s1561 -- owns --> i1724
s1561 -- owns --> i1725
s1561 -- owns --> i1726
s1561 -- owns --> i1727
s1561 -- owns --> i1732
s1561 -- owns --> i1733
s1561 -- owns --> i1739
s1561 -- owns --> i1740
s1561 -- owns --> i1741
s1561 -- owns --> i1743
s1561 -- owns --> i1744
s1561 -- owns --> i1748
s1561 -- owns --> i1749
s1561 -- owns --> i1750
s1561 -- owns --> i1751
s1561 -- owns --> i1754
s1561 -- owns --> i1755
s1561 -- owns --> i1756
s1561 -- owns --> i1757
s1561 -- owns --> i1758
s1561 -- owns --> i1759
s1561 -- owns --> i1760
s1561 -- owns --> i1761
s1561 -- owns --> i1763
s1561 -- owns --> i1764
s1561 -- owns --> i1765
s1561 -- owns --> i1766
s1561 -- owns --> i1767
s1561 -- owns --> i1768
s1561 -- owns --> i1769
s1561 -- owns --> i1770
s1561 -- owns --> i1771
s1561 -- owns --> i1772
s1561 -- owns --> i1773
s1561 -- owns --> i1774
s1561 -- owns --> i1775
s1561 -- owns --> i1776
s1561 -- owns --> i1777
s1561 -- owns --> i1778
s1561 -- owns --> i1779
s1561 -- owns --> i1780
s1561 -- owns --> i1974
s1561 -- owns --> i1976
s1561 -- owns --> i1979
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i1241,i1245,i1370,i1372,i1373,i1374,i1375,i1380,i1385,i1427,i1429,i1431,i1434,i1435,i1437,i1441,i1450,i1453,i1461,i1462,i1464,i1476,i1483,i1488,i1489,i1490,i1492,i1494,i1517,i1555,i1557,s1561,i1564,i1589,i1592,i1628,i1629,i1633,i1697,i1704,i1707,i1708,i1709,i1710,i1711,i1712,i1713,i1714,i1715,i1716,i1717,i1718,i1719,i1720,i1721,i1722,i1723,i1724,i1725,i1726,i1727,i1732,i1733,i1739,i1740,i1741,i1743,i1744,i1748,i1749,i1750,i1751,i1754,i1755,i1756,i1757,i1758,i1759,i1760,i1761,i1763,i1764,i1765,i1766,i1767,i1768,i1769,i1770,i1771,i1772,i1773,i1774,i1775,i1776,i1777,i1778,i1779,i1780,i1974,i1976,i1979 incv06complete
click i1241 href "https://github.com/encero-systems/incan/issues/1241" "Open #1241 on GitHub"
click i1245 href "https://github.com/encero-systems/incan/issues/1245" "Open #1245 on GitHub"
click i1370 href "https://github.com/encero-systems/incan/issues/1370" "Open #1370 on GitHub"
click i1372 href "https://github.com/encero-systems/incan/issues/1372" "Open #1372 on GitHub"
click i1373 href "https://github.com/encero-systems/incan/issues/1373" "Open #1373 on GitHub"
click i1374 href "https://github.com/encero-systems/incan/issues/1374" "Open #1374 on GitHub"
click i1375 href "https://github.com/encero-systems/incan/issues/1375" "Open #1375 on GitHub"
click i1380 href "https://github.com/encero-systems/incan/issues/1380" "Open #1380 on GitHub"
click i1385 href "https://github.com/encero-systems/incan/issues/1385" "Open #1385 on GitHub"
click i1427 href "https://github.com/encero-systems/incan/issues/1427" "Open #1427 on GitHub"
click i1429 href "https://github.com/encero-systems/incan/issues/1429" "Open #1429 on GitHub"
click i1431 href "https://github.com/encero-systems/incan/issues/1431" "Open #1431 on GitHub"
click i1434 href "https://github.com/encero-systems/incan/issues/1434" "Open #1434 on GitHub"
click i1435 href "https://github.com/encero-systems/incan/issues/1435" "Open #1435 on GitHub"
click i1437 href "https://github.com/encero-systems/incan/issues/1437" "Open #1437 on GitHub"
click i1441 href "https://github.com/encero-systems/incan/issues/1441" "Open #1441 on GitHub"
click i1450 href "https://github.com/encero-systems/incan/issues/1450" "Open #1450 on GitHub"
click i1453 href "https://github.com/encero-systems/incan/issues/1453" "Open #1453 on GitHub"
click i1461 href "https://github.com/encero-systems/incan/issues/1461" "Open #1461 on GitHub"
click i1462 href "https://github.com/encero-systems/incan/issues/1462" "Open #1462 on GitHub"
click i1464 href "https://github.com/encero-systems/incan/issues/1464" "Open #1464 on GitHub"
click i1476 href "https://github.com/encero-systems/incan/issues/1476" "Open #1476 on GitHub"
click i1483 href "https://github.com/encero-systems/incan/issues/1483" "Open #1483 on GitHub"
click i1488 href "https://github.com/encero-systems/incan/issues/1488" "Open #1488 on GitHub"
click i1489 href "https://github.com/encero-systems/incan/issues/1489" "Open #1489 on GitHub"
click i1490 href "https://github.com/encero-systems/incan/issues/1490" "Open #1490 on GitHub"
click i1492 href "https://github.com/encero-systems/incan/issues/1492" "Open #1492 on GitHub"
click i1494 href "https://github.com/encero-systems/incan/issues/1494" "Open #1494 on GitHub"
click i1517 href "https://github.com/encero-systems/incan/issues/1517" "Open #1517 on GitHub"
click i1555 href "https://github.com/encero-systems/incan/issues/1555" "Open #1555 on GitHub"
click i1557 href "https://github.com/encero-systems/incan/issues/1557" "Open #1557 on GitHub"
click s1561 href "https://github.com/encero-systems/incan/issues/1561" "Open #1561 on GitHub"
click i1564 href "https://github.com/encero-systems/incan/issues/1564" "Open #1564 on GitHub"
click i1589 href "https://github.com/encero-systems/incan/issues/1589" "Open #1589 on GitHub"
click i1592 href "https://github.com/encero-systems/incan/issues/1592" "Open #1592 on GitHub"
click i1628 href "https://github.com/encero-systems/incan/issues/1628" "Open #1628 on GitHub"
click i1629 href "https://github.com/encero-systems/incan/issues/1629" "Open #1629 on GitHub"
click i1633 href "https://github.com/encero-systems/incan/issues/1633" "Open #1633 on GitHub"
click i1697 href "https://github.com/encero-systems/incan/issues/1697" "Open #1697 on GitHub"
click i1704 href "https://github.com/encero-systems/incan/issues/1704" "Open #1704 on GitHub"
click i1707 href "https://github.com/encero-systems/incan/issues/1707" "Open #1707 on GitHub"
click i1708 href "https://github.com/encero-systems/incan/issues/1708" "Open #1708 on GitHub"
click i1709 href "https://github.com/encero-systems/incan/issues/1709" "Open #1709 on GitHub"
click i1710 href "https://github.com/encero-systems/incan/issues/1710" "Open #1710 on GitHub"
click i1711 href "https://github.com/encero-systems/incan/issues/1711" "Open #1711 on GitHub"
click i1712 href "https://github.com/encero-systems/incan/issues/1712" "Open #1712 on GitHub"
click i1713 href "https://github.com/encero-systems/incan/issues/1713" "Open #1713 on GitHub"
click i1714 href "https://github.com/encero-systems/incan/issues/1714" "Open #1714 on GitHub"
click i1715 href "https://github.com/encero-systems/incan/issues/1715" "Open #1715 on GitHub"
click i1716 href "https://github.com/encero-systems/incan/issues/1716" "Open #1716 on GitHub"
click i1717 href "https://github.com/encero-systems/incan/issues/1717" "Open #1717 on GitHub"
click i1718 href "https://github.com/encero-systems/incan/issues/1718" "Open #1718 on GitHub"
click i1719 href "https://github.com/encero-systems/incan/issues/1719" "Open #1719 on GitHub"
click i1720 href "https://github.com/encero-systems/incan/issues/1720" "Open #1720 on GitHub"
click i1721 href "https://github.com/encero-systems/incan/issues/1721" "Open #1721 on GitHub"
click i1722 href "https://github.com/encero-systems/incan/issues/1722" "Open #1722 on GitHub"
click i1723 href "https://github.com/encero-systems/incan/issues/1723" "Open #1723 on GitHub"
click i1724 href "https://github.com/encero-systems/incan/issues/1724" "Open #1724 on GitHub"
click i1725 href "https://github.com/encero-systems/incan/issues/1725" "Open #1725 on GitHub"
click i1726 href "https://github.com/encero-systems/incan/issues/1726" "Open #1726 on GitHub"
click i1727 href "https://github.com/encero-systems/incan/issues/1727" "Open #1727 on GitHub"
click i1732 href "https://github.com/encero-systems/incan/issues/1732" "Open #1732 on GitHub"
click i1733 href "https://github.com/encero-systems/incan/issues/1733" "Open #1733 on GitHub"
click i1739 href "https://github.com/encero-systems/incan/issues/1739" "Open #1739 on GitHub"
click i1740 href "https://github.com/encero-systems/incan/issues/1740" "Open #1740 on GitHub"
click i1741 href "https://github.com/encero-systems/incan/issues/1741" "Open #1741 on GitHub"
click i1743 href "https://github.com/encero-systems/incan/issues/1743" "Open #1743 on GitHub"
click i1744 href "https://github.com/encero-systems/incan/issues/1744" "Open #1744 on GitHub"
click i1748 href "https://github.com/encero-systems/incan/issues/1748" "Open #1748 on GitHub"
click i1749 href "https://github.com/encero-systems/incan/issues/1749" "Open #1749 on GitHub"
click i1750 href "https://github.com/encero-systems/incan/issues/1750" "Open #1750 on GitHub"
click i1751 href "https://github.com/encero-systems/incan/issues/1751" "Open #1751 on GitHub"
click i1754 href "https://github.com/encero-systems/incan/issues/1754" "Open #1754 on GitHub"
click i1755 href "https://github.com/encero-systems/incan/issues/1755" "Open #1755 on GitHub"
click i1756 href "https://github.com/encero-systems/incan/issues/1756" "Open #1756 on GitHub"
click i1757 href "https://github.com/encero-systems/incan/issues/1757" "Open #1757 on GitHub"
click i1758 href "https://github.com/encero-systems/incan/issues/1758" "Open #1758 on GitHub"
click i1759 href "https://github.com/encero-systems/incan/issues/1759" "Open #1759 on GitHub"
click i1760 href "https://github.com/encero-systems/incan/issues/1760" "Open #1760 on GitHub"
click i1761 href "https://github.com/encero-systems/incan/issues/1761" "Open #1761 on GitHub"
click i1763 href "https://github.com/encero-systems/incan/issues/1763" "Open #1763 on GitHub"
click i1764 href "https://github.com/encero-systems/incan/issues/1764" "Open #1764 on GitHub"
click i1765 href "https://github.com/encero-systems/incan/issues/1765" "Open #1765 on GitHub"
click i1766 href "https://github.com/encero-systems/incan/issues/1766" "Open #1766 on GitHub"
click i1767 href "https://github.com/encero-systems/incan/issues/1767" "Open #1767 on GitHub"
click i1768 href "https://github.com/encero-systems/incan/issues/1768" "Open #1768 on GitHub"
click i1769 href "https://github.com/encero-systems/incan/issues/1769" "Open #1769 on GitHub"
click i1770 href "https://github.com/encero-systems/incan/issues/1770" "Open #1770 on GitHub"
click i1771 href "https://github.com/encero-systems/incan/issues/1771" "Open #1771 on GitHub"
click i1772 href "https://github.com/encero-systems/incan/issues/1772" "Open #1772 on GitHub"
click i1773 href "https://github.com/encero-systems/incan/issues/1773" "Open #1773 on GitHub"
click i1774 href "https://github.com/encero-systems/incan/issues/1774" "Open #1774 on GitHub"
click i1775 href "https://github.com/encero-systems/incan/issues/1775" "Open #1775 on GitHub"
click i1776 href "https://github.com/encero-systems/incan/issues/1776" "Open #1776 on GitHub"
click i1777 href "https://github.com/encero-systems/incan/issues/1777" "Open #1777 on GitHub"
click i1778 href "https://github.com/encero-systems/incan/issues/1778" "Open #1778 on GitHub"
click i1779 href "https://github.com/encero-systems/incan/issues/1779" "Open #1779 on GitHub"
click i1780 href "https://github.com/encero-systems/incan/issues/1780" "Open #1780 on GitHub"
click i1974 href "https://github.com/encero-systems/incan/issues/1974" "Open #1974 on GitHub"
click i1976 href "https://github.com/encero-systems/incan/issues/1976" "Open #1976 on GitHub"
click i1979 href "https://github.com/encero-systems/incan/issues/1979" "Open #1979 on GitHub"
Open Slice 6 in GitHub
7. Replacement-route parity and cutover
Exit evidence: no Rust source is produced at any point in building a program or the toolchain; Oven builds both and Cargo is invoked nowhere on a developer machine; every parity corpus case is green on the native lane against the emitted-Rust route, or explicitly migrated, with receipts.
flowchart LR
i225["#225<br/>adopt session-owned semantic facts on b…"]
i429["#429<br/>Oven-managed pinned Rust host toolchain…"]
i654["#654<br/>remove Rust-source backend and generate…"]
i655["#655<br/>v0.6 backend compatibility report and m…"]
i975["#975<br/>Oven: Cargo-free Incan/Rust toolchain a…"]
i1008["#1008<br/>adopt the loaf.toml envelope for Oven i…"]
i1012["#1012<br/>RFC 119: Oven-native Rust build facets …"]
i1035["#1035<br/>RFC 119 typed proc-macro providers unde…"]
i1037["#1037<br/>RFC 119 native Rust facets and direct-r…"]
i1040["#1040<br/>RFC 119 Rust roles, IDE projection, Car…"]
i1224["#1224<br/>replace nominal Rust interop fallbacks …"]
i1297["#1297<br/>freeze CLI-to-compiler coupling with a …"]
i1332["#1332<br/>widen the source-observable comparison …"]
i1337["#1337<br/>Incan compiles natively at HIR through …"]
i1631["#1631<br/>retire dormant Cargo executor and lock …"]
s1675["Slice 7<br/>#1675"]
i1698["#1698<br/>incan builds incan: the toolchain works…"]
i1978["#1978<br/>bug - Rust interop types a concrete gen…"]
i2022["#2022<br/>bug - Body IR copies an argument passed…"]
i2023["#2023<br/>bug - Body IR runs a @rust.extern funct…"]
i2025["#2025<br/>bug - Body IR records a function's trai…"]
i2032["#2032<br/>bug - the replacement backend drops the…"]
i2035["#2035<br/>bug - Body IR refuses every call to a t…"]
i2037["#2037<br/>bug - Body IR cannot construct a varian…"]
i2039["#2039<br/>bug - Body IR cannot represent a functi…"]
i2042["#2042<br/>bug - a field read through a Self-typed…"]
s1675 -- owns --> i225
i975 -- owns --> i429
s1675 -- owns --> i654
s1675 -- owns --> i655
s1675 -- owns --> i975
i975 -- owns --> i1008
i975 -- owns --> i1012
i1012 -- owns --> i1035
i1012 -- owns --> i1037
i1012 -- owns --> i1040
s1675 -- owns --> i1224
s1675 -- owns --> i1297
s1675 -- owns --> i1332
s1675 -- owns --> i1337
s1675 -- owns --> i1631
s1675 -- owns --> i1698
s1675 -- owns --> i1978
i1337 -- owns --> i2022
i1337 -- owns --> i2023
i1337 -- owns --> i2025
s1675 -- owns --> i2032
i1337 -- owns --> i2035
i1337 -- owns --> i2037
i1337 -- owns --> i2039
i1337 -- owns --> i2042
i655 -. blocks .-> i654
i1332 -. blocks .-> i654
i1337 -. blocks .-> i654
i975 -. blocks .-> i654
i1037 -. blocks .-> i654
i654 -. blocks .-> i1698
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i429,i2022,i2023,i2025,i2032,i2035,i2037,i2039,i2042 incv06complete
click i225 href "https://github.com/encero-systems/incan/issues/225" "Open #225 on GitHub"
click i429 href "https://github.com/encero-systems/incan/issues/429" "Open #429 on GitHub"
click i654 href "https://github.com/encero-systems/incan/issues/654" "Open #654 on GitHub"
click i655 href "https://github.com/encero-systems/incan/issues/655" "Open #655 on GitHub"
click i975 href "https://github.com/encero-systems/incan/issues/975" "Open #975 on GitHub"
click i1008 href "https://github.com/encero-systems/incan/issues/1008" "Open #1008 on GitHub"
click i1012 href "https://github.com/encero-systems/incan/issues/1012" "Open #1012 on GitHub"
click i1035 href "https://github.com/encero-systems/incan/issues/1035" "Open #1035 on GitHub"
click i1037 href "https://github.com/encero-systems/incan/issues/1037" "Open #1037 on GitHub"
click i1040 href "https://github.com/encero-systems/incan/issues/1040" "Open #1040 on GitHub"
click i1224 href "https://github.com/encero-systems/incan/issues/1224" "Open #1224 on GitHub"
click i1297 href "https://github.com/encero-systems/incan/issues/1297" "Open #1297 on GitHub"
click i1332 href "https://github.com/encero-systems/incan/issues/1332" "Open #1332 on GitHub"
click i1337 href "https://github.com/encero-systems/incan/issues/1337" "Open #1337 on GitHub"
click i1631 href "https://github.com/encero-systems/incan/issues/1631" "Open #1631 on GitHub"
click s1675 href "https://github.com/encero-systems/incan/issues/1675" "Open #1675 on GitHub"
click i1698 href "https://github.com/encero-systems/incan/issues/1698" "Open #1698 on GitHub"
click i1978 href "https://github.com/encero-systems/incan/issues/1978" "Open #1978 on GitHub"
click i2022 href "https://github.com/encero-systems/incan/issues/2022" "Open #2022 on GitHub"
click i2023 href "https://github.com/encero-systems/incan/issues/2023" "Open #2023 on GitHub"
click i2025 href "https://github.com/encero-systems/incan/issues/2025" "Open #2025 on GitHub"
click i2032 href "https://github.com/encero-systems/incan/issues/2032" "Open #2032 on GitHub"
click i2035 href "https://github.com/encero-systems/incan/issues/2035" "Open #2035 on GitHub"
click i2037 href "https://github.com/encero-systems/incan/issues/2037" "Open #2037 on GitHub"
click i2039 href "https://github.com/encero-systems/incan/issues/2039" "Open #2039 on GitHub"
click i2042 href "https://github.com/encero-systems/incan/issues/2042" "Open #2042 on GitHub"
Open Slice 7 in GitHub
8. Oven CLI delivery
Exit evidence: one installation, two non-competing CLIs, one Loaf authority, and one plan/receipt model.
flowchart LR
i401["#401<br/>RFC 073 - environment matrices and tool…"]
i404["#404<br/>RFC 076 - project mutation policy and r…"]
i406["#406<br/>RFC 078 - tool execution and typed work…"]
i752["#752<br/>RFC 107 - full type-directed library AP…"]
i759["#759<br/>package-derived vocab helper bindings f…"]
i990["#990<br/>implement governed std.process for Oven…"]
i1010["#1010<br/>RFC 118: Incan and Oven command-line su…"]
i1030["#1030<br/>RFC 107 public API metadata, tooling, a…"]
i1031["#1031<br/>package-derived vocab helper resolution…"]
i1032["#1032<br/>package-derived vocab contracts, InQL m…"]
i1033["#1033<br/>RFC 107 complete Type[T] semantics and …"]
s1142["Slice 8<br/>#1142"]
i1243["#1243<br/>revisit the single-arm `if let` restric…"]
i1291["#1291<br/>complete the residual direct language/r…"]
i1371["#1371<br/>let comparison operators return their d…"]
i1505["#1505<br/>make a module split free by keying iden…"]
i1752["#1752<br/>RFC 128 - one `Callable[(A, B) -> R]` t…"]
i1965["#1965<br/>port the Python scripts that decide CI …"]
i1969["#1969<br/>consumers own their Oven gates; incan n…"]
i1972["#1972<br/>move Wasmtime from the 36.0 line to the…"]
s1142 -- owns --> i401
s1142 -- owns --> i404
s1142 -- owns --> i406
s1142 -- owns --> i752
s1142 -- owns --> i759
s1142 -- owns --> i990
s1142 -- owns --> i1010
i752 -- owns --> i1030
i759 -- owns --> i1031
i759 -- owns --> i1032
i752 -- owns --> i1033
s1142 -- owns --> i1243
s1142 -- owns --> i1291
s1142 -- owns --> i1371
s1142 -- owns --> i1505
s1142 -- owns --> i1752
s1142 -- owns --> i1965
s1142 -- owns --> i1969
s1142 -- owns --> i1972
i1033 -. blocks .-> i1030
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i1031 incv06complete
click i401 href "https://github.com/encero-systems/incan/issues/401" "Open #401 on GitHub"
click i404 href "https://github.com/encero-systems/incan/issues/404" "Open #404 on GitHub"
click i406 href "https://github.com/encero-systems/incan/issues/406" "Open #406 on GitHub"
click i752 href "https://github.com/encero-systems/incan/issues/752" "Open #752 on GitHub"
click i759 href "https://github.com/encero-systems/incan/issues/759" "Open #759 on GitHub"
click i990 href "https://github.com/encero-systems/incan/issues/990" "Open #990 on GitHub"
click i1010 href "https://github.com/encero-systems/incan/issues/1010" "Open #1010 on GitHub"
click i1030 href "https://github.com/encero-systems/incan/issues/1030" "Open #1030 on GitHub"
click i1031 href "https://github.com/encero-systems/incan/issues/1031" "Open #1031 on GitHub"
click i1032 href "https://github.com/encero-systems/incan/issues/1032" "Open #1032 on GitHub"
click i1033 href "https://github.com/encero-systems/incan/issues/1033" "Open #1033 on GitHub"
click s1142 href "https://github.com/encero-systems/incan/issues/1142" "Open #1142 on GitHub"
click i1243 href "https://github.com/encero-systems/incan/issues/1243" "Open #1243 on GitHub"
click i1291 href "https://github.com/encero-systems/incan/issues/1291" "Open #1291 on GitHub"
click i1371 href "https://github.com/encero-systems/incan/issues/1371" "Open #1371 on GitHub"
click i1505 href "https://github.com/encero-systems/incan/issues/1505" "Open #1505 on GitHub"
click i1752 href "https://github.com/encero-systems/incan/issues/1752" "Open #1752 on GitHub"
click i1965 href "https://github.com/encero-systems/incan/issues/1965" "Open #1965 on GitHub"
click i1969 href "https://github.com/encero-systems/incan/issues/1969" "Open #1969 on GitHub"
click i1972 href "https://github.com/encero-systems/incan/issues/1972" "Open #1972 on GitHub"
Open Slice 8 in GitHub
9. First-class inspectability
Exit evidence: CLI, LSP, Architect, MCP, and Rust inspection agree on identity, range, provenance, and stale-state semantics.
flowchart LR
i573["#573<br/>RFC 106 compiler-backed agent context g…"]
i772["#772<br/>RFC 106 share complete codegraph projec…"]
i773["#773<br/>RFC 106 graph-backed architect findings"]
i774["#774<br/>RFC 106 MCP tools and complete task con…"]
i775["#775<br/>RFC 106 process-risk signals and evalua…"]
i777["#777<br/>RFC 106 Rust/Incan build and interop gr…"]
i1019["#1019<br/>RFC 106 full graph/context conformance …"]
i1100["#1100<br/>unify CLI and LSP Rust inspection sourc…"]
s1143["Slice 9<br/>#1143"]
i1201["#1201<br/>vocab-surface diagnostics and completio…"]
i1346["#1346<br/>persist, log, and index the semantic la…"]
i1416["#1416<br/>bug - inspect_codegraph identity test i…"]
i1500["#1500<br/>exact cross-language duplicate detectio…"]
s1143 -- owns --> i573
i573 -- owns --> i772
i573 -- owns --> i773
i573 -- owns --> i774
i573 -- owns --> i775
i573 -- owns --> i777
i573 -- owns --> i1019
s1143 -- owns --> i1100
s1143 -- owns --> i1201
s1143 -- owns --> i1346
s1143 -- owns --> i1416
i573 -- owns --> i1500
i772 -. blocks .-> i1019
i775 -. blocks .-> i1019
i777 -. blocks .-> i1019
i774 -. blocks .-> i1019
i773 -. blocks .-> i1019
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i1100 incv06complete
click i573 href "https://github.com/encero-systems/incan/issues/573" "Open #573 on GitHub"
click i772 href "https://github.com/encero-systems/incan/issues/772" "Open #772 on GitHub"
click i773 href "https://github.com/encero-systems/incan/issues/773" "Open #773 on GitHub"
click i774 href "https://github.com/encero-systems/incan/issues/774" "Open #774 on GitHub"
click i775 href "https://github.com/encero-systems/incan/issues/775" "Open #775 on GitHub"
click i777 href "https://github.com/encero-systems/incan/issues/777" "Open #777 on GitHub"
click i1019 href "https://github.com/encero-systems/incan/issues/1019" "Open #1019 on GitHub"
click i1100 href "https://github.com/encero-systems/incan/issues/1100" "Open #1100 on GitHub"
click s1143 href "https://github.com/encero-systems/incan/issues/1143" "Open #1143 on GitHub"
click i1201 href "https://github.com/encero-systems/incan/issues/1201" "Open #1201 on GitHub"
click i1346 href "https://github.com/encero-systems/incan/issues/1346" "Open #1346 on GitHub"
click i1416 href "https://github.com/encero-systems/incan/issues/1416" "Open #1416 on GitHub"
click i1500 href "https://github.com/encero-systems/incan/issues/1500" "Open #1500 on GitHub"
Open Slice 9 in GitHub
10. Native Windows support
Exit evidence: the release bake produces a Windows archive; that archive, extracted and installed, scaffolds a project and builds it; platform-gated behavior is implemented or its divergence is stated in code and docs.
flowchart LR
i433["#433<br/>support native Windows x64 as a v0.6 pl…"]
i1282["#1282<br/>support native Windows x64 CLI and Oven…"]
i1283["#1283<br/>ship native Windows x64 artifacts and a…"]
i1284["#1284<br/>make native Windows x64 a blocking v0.6…"]
i1340["#1340<br/>bug - Windows: durable-write directory …"]
i1342["#1342<br/>bug - Windows: Oven store over-counts d…"]
i1343["#1343<br/>Windows: restore coverage for cfg(unix)…"]
i1344["#1344<br/>Windows: decide and document the Rust t…"]
i1345["#1345<br/>Windows: make the contributor workflow …"]
i1351["#1351<br/>Windows: Makefile colour codes print li…"]
i1353["#1353<br/>Windows: full user-facing documentation…"]
i1355["#1355<br/>bug - Windows: process containment repo…"]
i1357["#1357<br/>bug - Windows: source files collected t…"]
i1358["#1358<br/>bug - Windows: release staging paths ex…"]
i1361["#1361<br/>bug - Windows: reproducibility path rem…"]
i1362["#1362<br/>bug - Windows: verbatim target paths de…"]
i1364["#1364<br/>bug - Windows: transient Cargo target p…"]
i1366["#1366<br/>bug - Windows: std.fs imports unix-only…"]
i1368["#1368<br/>bug - Windows: shipped Oven store layou…"]
s1379["Slice 10<br/>#1379"]
i1396["#1396<br/>bug - Windows: std.fs disk usage is uni…"]
i1397["#1397<br/>Windows: contributor prerequisites are …"]
s1379 -- owns --> i433
i433 -- owns --> i1282
i433 -- owns --> i1283
i433 -- owns --> i1284
i1282 -- owns --> i1340
i1282 -- owns --> i1342
i1282 -- owns --> i1343
i1283 -- owns --> i1344
i433 -- owns --> i1345
i433 -- owns --> i1351
i433 -- owns --> i1353
i1282 -- owns --> i1355
i1282 -- owns --> i1357
i1283 -- owns --> i1358
i1282 -- owns --> i1361
i1282 -- owns --> i1362
i1282 -- owns --> i1364
i1282 -- owns --> i1366
i1282 -- owns --> i1368
i1282 -- owns --> i1396
i433 -- owns --> i1397
i1282 -. blocks .-> i1284
i1283 -. blocks .-> i1284
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i1340,i1345,i1351,i1355,i1357,i1358,i1362,i1364,i1366,i1368,i1397 incv06complete
click i433 href "https://github.com/encero-systems/incan/issues/433" "Open #433 on GitHub"
click i1282 href "https://github.com/encero-systems/incan/issues/1282" "Open #1282 on GitHub"
click i1283 href "https://github.com/encero-systems/incan/issues/1283" "Open #1283 on GitHub"
click i1284 href "https://github.com/encero-systems/incan/issues/1284" "Open #1284 on GitHub"
click i1340 href "https://github.com/encero-systems/incan/issues/1340" "Open #1340 on GitHub"
click i1342 href "https://github.com/encero-systems/incan/issues/1342" "Open #1342 on GitHub"
click i1343 href "https://github.com/encero-systems/incan/issues/1343" "Open #1343 on GitHub"
click i1344 href "https://github.com/encero-systems/incan/issues/1344" "Open #1344 on GitHub"
click i1345 href "https://github.com/encero-systems/incan/issues/1345" "Open #1345 on GitHub"
click i1351 href "https://github.com/encero-systems/incan/issues/1351" "Open #1351 on GitHub"
click i1353 href "https://github.com/encero-systems/incan/issues/1353" "Open #1353 on GitHub"
click i1355 href "https://github.com/encero-systems/incan/issues/1355" "Open #1355 on GitHub"
click i1357 href "https://github.com/encero-systems/incan/issues/1357" "Open #1357 on GitHub"
click i1358 href "https://github.com/encero-systems/incan/issues/1358" "Open #1358 on GitHub"
click i1361 href "https://github.com/encero-systems/incan/issues/1361" "Open #1361 on GitHub"
click i1362 href "https://github.com/encero-systems/incan/issues/1362" "Open #1362 on GitHub"
click i1364 href "https://github.com/encero-systems/incan/issues/1364" "Open #1364 on GitHub"
click i1366 href "https://github.com/encero-systems/incan/issues/1366" "Open #1366 on GitHub"
click i1368 href "https://github.com/encero-systems/incan/issues/1368" "Open #1368 on GitHub"
click s1379 href "https://github.com/encero-systems/incan/issues/1379" "Open #1379 on GitHub"
click i1396 href "https://github.com/encero-systems/incan/issues/1396" "Open #1396 on GitHub"
click i1397 href "https://github.com/encero-systems/incan/issues/1397" "Open #1397 on GitHub"
Open Slice 10 in GitHub
11. Cutover and release
Exit evidence: generated Rust is an inspection/debug projection only; normal compilation, package contracts, and Oven no longer depend on it as semantic authority.
flowchart LR
i656["#656<br/>RFC - Rust-facing ABI and Incan package…"]
i1112["#1112<br/>pin an explicit Rust version for releas…"]
i1118["#1118<br/>no test can observe a packaged-only defect"]
i1119["#1119<br/>make producing a release archive locall…"]
i1128["#1128<br/>versioned docs never deploy automatical…"]
s1144["Slice 11<br/>#1144"]
i1168["#1168<br/>bump generated projects to Rust edition…"]
i1173["#1173<br/>migrate #[allow] lint suppressions to #…"]
i1300["#1300<br/>backfill the implementing PR for every …"]
i1442["#1442<br/>bug - Prepare runnable examples and ret…"]
i1510["#1510<br/>verify the Oven ecosystem map against t…"]
i1588["#1588<br/>bug - Oven packaging fixture relocates …"]
i1630["#1630<br/>bug - Duration.from_millis mixes floati…"]
i1632["#1632<br/>retire disconnected Rust timeout implem…"]
s1144 -- owns --> i656
s1144 -- owns --> i1112
s1144 -- owns --> i1118
s1144 -- owns --> i1119
s1144 -- owns --> i1128
s1144 -- owns --> i1168
s1144 -- owns --> i1173
s1144 -- owns --> i1300
s1144 -- owns --> i1442
s1144 -- owns --> i1510
s1144 -- owns --> i1588
s1144 -- owns --> i1630
s1144 -- owns --> i1632
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i656,i1588,i1630 incv06complete
click i656 href "https://github.com/encero-systems/incan/issues/656" "Open #656 on GitHub"
click i1112 href "https://github.com/encero-systems/incan/issues/1112" "Open #1112 on GitHub"
click i1118 href "https://github.com/encero-systems/incan/issues/1118" "Open #1118 on GitHub"
click i1119 href "https://github.com/encero-systems/incan/issues/1119" "Open #1119 on GitHub"
click i1128 href "https://github.com/encero-systems/incan/issues/1128" "Open #1128 on GitHub"
click s1144 href "https://github.com/encero-systems/incan/issues/1144" "Open #1144 on GitHub"
click i1168 href "https://github.com/encero-systems/incan/issues/1168" "Open #1168 on GitHub"
click i1173 href "https://github.com/encero-systems/incan/issues/1173" "Open #1173 on GitHub"
click i1300 href "https://github.com/encero-systems/incan/issues/1300" "Open #1300 on GitHub"
click i1442 href "https://github.com/encero-systems/incan/issues/1442" "Open #1442 on GitHub"
click i1510 href "https://github.com/encero-systems/incan/issues/1510" "Open #1510 on GitHub"
click i1588 href "https://github.com/encero-systems/incan/issues/1588" "Open #1588 on GitHub"
click i1630 href "https://github.com/encero-systems/incan/issues/1630" "Open #1630 on GitHub"
click i1632 href "https://github.com/encero-systems/incan/issues/1632" "Open #1632 on GitHub"
Open Slice 11 in GitHub
12. Incan-authored control plane and governed runtime
Exit evidence: every semantic Oven responsibility with an Incan-authored owner is authored in Incan through a typed, governed host kernel; no migrated component relies on an undocumented bridge; declared authority and observed receipts describe the same run and stay inspectable without executing source or parsing logs.
flowchart LR
i662["#662<br/>RFC 104 - full ambient runtime capabili…"]
i870["#870<br/>Incan-authored Oven and toolchain compo…"]
i871["#871<br/>complete Oven/toolchain ownership map f…"]
i872["#872<br/>complete runtime and interop bridge mat…"]
i990["#990<br/>implement governed std.process for Oven…"]
i991["#991<br/>establish the Oven host-kernel and Inca…"]
i1027["#1027<br/>RFC 104 semantic inspection, policy int…"]
i1028["#1028<br/>RFC 104 stdlib and package receipts, re…"]
i1029["#1029<br/>RFC 104 authority context, declarations…"]
i1034["#1034<br/>migrate the full Oven semantic control …"]
i1081["#1081<br/>migrate project_lifecycle/env.rs env-ov…"]
i1082["#1082<br/>migrate project_lifecycle/version.rs ve…"]
i1083["#1083<br/>migrate project_lifecycle/toolchain.rs …"]
i1084["#1084<br/>migrate library_manifest schema/validat…"]
i1085["#1085<br/>migrate incan.toml manifest parsing/val…"]
i1086["#1086<br/>migrate native_test.rs libtest transcri…"]
i1087["#1087<br/>migrate rustc.rs diagnostic bounding/re…"]
i1088["#1088<br/>migrate compiled_sdk.rs module-inventor…"]
i1089["#1089<br/>migrate semantic CLI commands (bindings…"]
i1090["#1090<br/>migrate inspect codegraph and tools met…"]
i1091["#1091<br/>migrate test_runner discovery/module_gr…"]
i1092["#1092<br/>decide toolchain_layout.rs justificatio…"]
i1093["#1093<br/>decide workspace.rs member-discovery pl…"]
i1094["#1094<br/>decide how to extract Oven's plan/build…"]
i1095["#1095<br/>resolve test_runner/execution.rs shim-v…"]
i1096["#1096<br/>decide correct command placement for ca…"]
i1097["#1097<br/>decide the Incan-CLI vs Oven decomposit…"]
i1098["#1098<br/>decide the right home for incan tools d…"]
i1099["#1099<br/>narrow legacy_cargo.rs's Cargo.lock/man…"]
i1211["#1211<br/>establish RFC 104 authority-decision fa…"]
i1212["#1212<br/>establish RFC 104 operation-receipt fac…"]
i1266["#1266<br/>move Oven's plan/build-unit/artifact/re…"]
i1409["#1409<br/>provide a TOML surface so Incan can rea…"]
s1421["Slice 12<br/>#1421"]
i1486["#1486<br/>RFC 097 Rust-hosted Incan caller facet …"]
i1530["#1530<br/>bug - the Oven control plane's Incan te…"]
s1421 -- owns --> i662
s1421 -- owns --> i870
i870 -- owns --> i871
i870 -- owns --> i872
i870 -- owns --> i991
i662 -- owns --> i1027
i662 -- owns --> i1028
i662 -- owns --> i1029
i870 -- owns --> i1034
i1034 -- owns --> i1081
i1034 -- owns --> i1082
i1034 -- owns --> i1083
i1034 -- owns --> i1084
i1034 -- owns --> i1085
i1034 -- owns --> i1086
i1034 -- owns --> i1087
i1034 -- owns --> i1088
i1034 -- owns --> i1089
i1034 -- owns --> i1090
i1034 -- owns --> i1091
i1034 -- owns --> i1092
i1034 -- owns --> i1093
i1034 -- owns --> i1094
i1034 -- owns --> i1095
i1034 -- owns --> i1096
i1034 -- owns --> i1097
i1034 -- owns --> i1098
i1034 -- owns --> i1099
i1029 -- owns --> i1211
i1028 -- owns --> i1212
i1094 -- owns --> i1266
i872 -- owns --> i1409
s1421 -- owns --> i1486
s1421 -- owns --> i1530
i990 -. blocks .-> i1027
i1028 -. blocks .-> i1027
i1029 -. blocks .-> i1028
classDef incv06complete fill:#0b2724,stroke:#66d9a3,color:#e4ebf2,stroke-width:1.7px
class i871,i1092,i1093,i1094,i1095,i1097,i1211,i1212,i1266,i1409 incv06complete
click i662 href "https://github.com/encero-systems/incan/issues/662" "Open #662 on GitHub"
click i870 href "https://github.com/encero-systems/incan/issues/870" "Open #870 on GitHub"
click i871 href "https://github.com/encero-systems/incan/issues/871" "Open #871 on GitHub"
click i872 href "https://github.com/encero-systems/incan/issues/872" "Open #872 on GitHub"
click i990 href "https://github.com/encero-systems/incan/issues/990" "Open #990 on GitHub"
click i991 href "https://github.com/encero-systems/incan/issues/991" "Open #991 on GitHub"
click i1027 href "https://github.com/encero-systems/incan/issues/1027" "Open #1027 on GitHub"
click i1028 href "https://github.com/encero-systems/incan/issues/1028" "Open #1028 on GitHub"
click i1029 href "https://github.com/encero-systems/incan/issues/1029" "Open #1029 on GitHub"
click i1034 href "https://github.com/encero-systems/incan/issues/1034" "Open #1034 on GitHub"
click i1081 href "https://github.com/encero-systems/incan/issues/1081" "Open #1081 on GitHub"
click i1082 href "https://github.com/encero-systems/incan/issues/1082" "Open #1082 on GitHub"
click i1083 href "https://github.com/encero-systems/incan/issues/1083" "Open #1083 on GitHub"
click i1084 href "https://github.com/encero-systems/incan/issues/1084" "Open #1084 on GitHub"
click i1085 href "https://github.com/encero-systems/incan/issues/1085" "Open #1085 on GitHub"
click i1086 href "https://github.com/encero-systems/incan/issues/1086" "Open #1086 on GitHub"
click i1087 href "https://github.com/encero-systems/incan/issues/1087" "Open #1087 on GitHub"
click i1088 href "https://github.com/encero-systems/incan/issues/1088" "Open #1088 on GitHub"
click i1089 href "https://github.com/encero-systems/incan/issues/1089" "Open #1089 on GitHub"
click i1090 href "https://github.com/encero-systems/incan/issues/1090" "Open #1090 on GitHub"
click i1091 href "https://github.com/encero-systems/incan/issues/1091" "Open #1091 on GitHub"
click i1092 href "https://github.com/encero-systems/incan/issues/1092" "Open #1092 on GitHub"
click i1093 href "https://github.com/encero-systems/incan/issues/1093" "Open #1093 on GitHub"
click i1094 href "https://github.com/encero-systems/incan/issues/1094" "Open #1094 on GitHub"
click i1095 href "https://github.com/encero-systems/incan/issues/1095" "Open #1095 on GitHub"
click i1096 href "https://github.com/encero-systems/incan/issues/1096" "Open #1096 on GitHub"
click i1097 href "https://github.com/encero-systems/incan/issues/1097" "Open #1097 on GitHub"
click i1098 href "https://github.com/encero-systems/incan/issues/1098" "Open #1098 on GitHub"
click i1099 href "https://github.com/encero-systems/incan/issues/1099" "Open #1099 on GitHub"
click i1211 href "https://github.com/encero-systems/incan/issues/1211" "Open #1211 on GitHub"
click i1212 href "https://github.com/encero-systems/incan/issues/1212" "Open #1212 on GitHub"
click i1266 href "https://github.com/encero-systems/incan/issues/1266" "Open #1266 on GitHub"
click i1409 href "https://github.com/encero-systems/incan/issues/1409" "Open #1409 on GitHub"
click s1421 href "https://github.com/encero-systems/incan/issues/1421" "Open #1421 on GitHub"
click i1486 href "https://github.com/encero-systems/incan/issues/1486" "Open #1486 on GitHub"
click i1530 href "https://github.com/encero-systems/incan/issues/1530" "Open #1530 on GitHub"
Open Slice 12 in GitHub
Keeping the map current¶
The rendered map is a checked-in GitHub snapshot, not a browser-side query. That keeps site builds reproducible and preserves the exact program state readers are seeing. To refresh it after a material milestone, hierarchy, status, or dependency change, run:
make -C workspaces/docs-site docs-refresh
The umbrella command currently delegates to the v0.6 roadmap refresh and is the stable entry point for future checked-in documentation snapshots. It uses the public GitHub REST API: no gh session or browser-side request is involved. A small POSIX tool using curl and jq validates the response, reconstructs GitHub’s native hierarchy, counts issue state, and renders the Markdown/Mermaid snapshot. It works anonymously for occasional refreshes; set GITHUB_TOKEN with read access for routine use, avoiding GitHub's small anonymous request budget. Review and commit the resulting snapshot with any corresponding change to the release note or main roadmap.